
QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = WhichFingersDemo
TEMPLATE = app


SOURCES += main.cpp\
        mainwindow.cpp \
    piezodevice.cpp

HEADERS  += mainwindow.h \
    piezodevice.h

FORMS    += mainwindow.ui

windows {

  message("Needs to be configured")

} else:mac {

  # Look for pkg-config in Fink, Macports and Homebrew (the last one we find wins)
  exists(/sw/bin/pkg-config) {
      QMAKE_PKG_CONFIG = /sw/bin/pkg-config
      INCLUDEPATH += /sw/include            
  }
  exists(/opt/local/bin/pkg-config) {
	  QMAKE_PKG_CONFIG = /opt/local/bin/pkg-CONFIG
      INCLUDEPATH += /opt/local/include      
  }
  exists(/usr/local/bin/pkg-config) {
      QMAKE_PKG_CONFIG = /usr/local/bin/pkg-config
      INCLUDEPATH += /usr/local/include
  }

  message("Looking for dependencies using $$QMAKE_PKG_CONFIG")

  system($$QMAKE_PKG_CONFIG --exists hidapi) {
    QMAKE_CXXFLAGS += $$system("$$QMAKE_PKG_CONFIG --cflags hidapi")
    LIBS += $$system("$$QMAKE_PKG_CONFIG --libs hidapi")
    DEFINES += LIBLAG_HAS_HIDAPI
    CONFIG += hidapi
    message("HIDAPI support enabled")	
  }

} else:linux-*  {

  # Look for pkg-config in the usual places
  exists(/usr/bin/pkg-config) { QMAKE_PKG_CONFIG = /usr/bin/pkg-config }
  exists(/usr/local/bin/pkg-config) { QMAKE_PKG_CONFIG = /usr/local/bin/pkg-config }
  message("Looking for dependencies using $$QMAKE_PKG_CONFIG")

  # Use hidapi-libusb, not hidapi-raw (which does not work with some devices)
  # See https://github.com/signal11/hidapi
  system($$QMAKE_PKG_CONFIG --exists hidapi-libusb) {
    QMAKE_CXXFLAGS += $$system("$$QMAKE_PKG_CONFIG --cflags hidapi-libusb")
    LIBS += $$system("$$QMAKE_PKG_CONFIG --libs hidapi-libusb")
    DEFINES += LIBLAG_HAS_HIDAPI
    CONFIG += hidapi
    message("HIDAPI support enabled")	
  }

}