/* -
 *
 * Author: Damien Masson
 * Copyright University of Lille / Inria
 *
 * http://ns.inria.fr/mjolnir/whichfingers/
 *
 * This software may be used and distributed according to the terms of
 * the GNU General Public License version 2 or any later version.
 *
 */

#include "finger.h"

Finger::Finger() {
    this->id = 0;
    pressed = false;
    deviceId = -1;
    touchId = -1;
}

void Finger::update(bool pressed, int deviceId, int touchId) {
    this->pressed = pressed;
    this->deviceId = deviceId;
    this->touchId = touchId;
}

bool Finger::isPressed() {
    return pressed;
}

int Finger::getDevice() {
    return deviceId;
}

int Finger::getTouchId() {
    return touchId;
}

int Finger::getId() {
    return id;
}

